Subject: Re: PHY firmware update method

From: Andrew Lunn <[email-masked]>
Date: Fri, 30 Sep 2022 14:36:47 +0200

> Yeah, I tend to agree here. I believe that phylib should probably find a
> separate way to to the flash.
> 
> But perhaps it could be a non-user-facing flash. I mean, what if phylib
> has internal routine to:
> 1) do query phy fw version
> 2) load a fw bin related for this phy (easy phy driver may provide the
> 				       path/name of the file)
> 3) flash if there is a newer version available

That was my first suggestion. One problem is getting the version from
the binary blob firmware. But this seems like a generic problem for
linux-firmware, so maybe somebody has worked on a standardised header
which can be preppended with this meta data?

      Andrew